<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Link</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>Link</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLClass"></span>
                    UMLClass
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7a3c146428c6ece245a5c6d7043f8700.html'><span class='node-icon _icon-UMLClass'></span>Link</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <p>Un link es un objeto inmutable, por lo que sus campos deben ser finales y solo deben poder establecer su valor a través de un único llamado a su constructor.</p>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            
                
                


                
                


                
                


                
                


                
                

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            
            <section>
                <h3>Attributes</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Type</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="d1cc35aa0dd2b63f6611f312676e8c5a.html">id</a></td>
                        <td>Integer</td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="e6cb21985c69d913319456ba385b150d.html">Link_id</a></td>
                        <td>Integer</td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="c981bd967427a771494b7410900d6585.html">End1</a></td>
                        <td><span class='label label-info'>none</span></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="4cf4ce0a271a1e00158078092503e093.html">End2</a></td>
                        <td><span class='label label-info'>none</span></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Operations -->

            
            <section>
                <h3>Operations</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="1b39c18c87bb406f4d06e9fff903f40e.html">getNextID()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="d95a0aee13b2737155a61b8541ecc9e0.html">setEnd1()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="0952673db14e7f2d5471ed3090229d5a.html">getEnd1()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="830150a9cb5be64908138341185a56b7.html">setEnd2()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="af08de0148cd0622c2004b4ba6ff3fbf.html">getEnd2()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="64c18ddd83c905c84505ab6b16e4f861.html">setLink_id()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="2141bcb16cc3a352240b3a7d426a09ab.html">getLink_id()</a></td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>Link</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>true</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='f98ed64941bfa2ab640e93af2aed2d95.html'><span class='node-icon _icon-UMLAssociation'></span>(Link—Topology)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='f98ed64941bfa2ab640e93af2aed2d95.html'><span class='node-icon _icon-UMLAssociation'></span>(Link—Topology)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
